#include <cstdio>
int main()
{
    long long p,d,ans,t=10;
    scanf("%lld%lld",&p,&d);
    ans=++p;
    for(;;)
    {
        if(p%t>d)
            break;
        ans=p-p%t;
        t=t*10;
    }
    printf("%lld",ans-1);
    return 0;
}
